eID middleware |

# be::portugal::eid::PTEID_ExFileTypeUnknown Class Reference

Exception class File Type Unknown (error code = EIDMW_ERR_FILETYPE_UNKNOWN). More...

Inheritance diagram for be::portugal::eid::PTEID_ExFileTypeUnknown:

List of all members.

## Public Member Functions
override void | Dispose ()
| PTEID_ExFileTypeUnknown ()

## Detailed Description

Exception class File Type Unknown (error code = EIDMW_ERR_FILETYPE_UNKNOWN).

Throw when the Raw Data type doesn't exist for this card. Used in :

- PTEID_Card::getRawData(PTEID_RawDataType type)

## Constructor & Destructor Documentation

be::portugal::eid::PTEID_ExFileTypeUnknown::PTEID_ExFileTypeUnknown | ( |  | ) | `[inline]`

## Member Function Documentation

override void be::portugal::eid::PTEID_ExFileTypeUnknown::Dispose | ( |  | ) | `[inline, virtual]`

Reimplemented from be::portugal::eid::PTEID_Exception.